//XNAGraphics.cs
//
//XNA Graphics Class
//
//Part of Spengler
//A 2D Platform Engine using XNA
//
//Created 17 February 2007
//
//By Gavin Cox
//
//Copyright  2006 All Rights Reserved

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content;

namespace Spengler
{
	public class XNAGraphics
	{
		//--- Constants ---


		//--- Variables ---
		protected GraphicsDeviceManager gdm;
		protected SpriteBatch sb;
		protected ContentManager cm;

		//--- Constructor ---
		public XNAGraphics(GraphicsDeviceManager graphics, ContentManager content)
		{
			gdm = graphics;
			sb = null;
			cm = content;
		}

		//--- Methods ---
		//Create SpriteBatch
		public void CreateSpriteBatch()
		{
			sb = new SpriteBatch(graphics.GraphicsDevice);
		}

		//- Get Methods -
		//Graphics Device
		public GraphicsDeviceManager graphics
		{
			get
			{
				return gdm;
			}
		}

		//Sprite Batch
		public SpriteBatch spritebatch
		{
			get
			{
				return sb;
			}
		}

		//Content Manager
		public ContentManager content
		{
			get
			{
				return cm;
			}
		}
	}
}
