//XNASprite.cs
//
//XNA Sprite Class
//
//Part of Spengler
//A 2D Platform Engine using XNA
//
//Created 17 February 2007
//
//By Gavin Cox
//
//Copyright  2006 All Rights Reserved
using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content;

namespace Spengler
{
	public class XNASprite
	{
		//--- Constants ---


		//--- Variables ---
		protected XNAGraphics xnag;
		protected Texture2D tex;


		//--- Constructor ---
		public XNASprite(XNAGraphics xnagraphics, String filename)
		{
			xnag = xnagraphics;
			tex = xnagraphics.content.Load<Texture2D>(filename);
		}

		//--- Methods ---
		//Draw
		public void Draw(Vector2 position)
		{
			xnag.spritebatch.Draw(tex, position, Color.White);
		}

		public void Draw(Vector2 position, Rectangle sourcerect)
		{
			xnag.spritebatch.Draw(texture, position, sourcerect, Color.White);
		}

		//- Get Methods -
		//XNAGraphics
		public XNAGraphics xnagraphics
		{
			get
			{
				return xnag;
			}
		}

		//Sprite Batch
		public Texture2D texture
		{
			get
			{
				return tex;
			}
		}
	}
}
